package de.siphalor.was.content.pack;

import de.siphalor.was.content.resource.Resource;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

import java.util.stream.Stream;

public interface ContentPack {
	@NotNull
	Stream<Resource> getResources(@NotNull String location, @NotNull String type);
	@Nullable
	Resource getResource(@NotNull String location);
	@NotNull
	String getId();
}
